diff -urN golded+cvs20090710-src/goldlib/pcre/pcre_version.c golded-nsf-v003/goldlib/pcre/pcre_version.c
--- golded+cvs20090710-src/goldlib/pcre/pcre_version.c	1970-01-01 03:00:00.000000000 +0300
+++ golded-nsf-v003/goldlib/pcre/pcre_version.c	2009-07-10 09:58:18.000000000 +0400
@@ -0,0 +1,90 @@
+/*************************************************
+*      Perl-Compatible Regular Expressions       *
+*************************************************/
+
+/* PCRE is a library of functions to support regular expressions whose syntax
+and semantics are as close as possible to those of the Perl 5 language.
+
+                       Written by Philip Hazel
+           Copyright (c) 1997-2008 University of Cambridge
+
+-----------------------------------------------------------------------------
+Redistribution and use in source and binary forms, with or without
+modification, are permitted provided that the following conditions are met:
+
+    * Redistributions of source code must retain the above copyright notice,
+      this list of conditions and the following disclaimer.
+
+    * Redistributions in binary form must reproduce the above copyright
+      notice, this list of conditions and the following disclaimer in the
+      documentation and/or other materials provided with the distribution.
+
+    * Neither the name of the University of Cambridge nor the names of its
+      contributors may be used to endorse or promote products derived from
+      this software without specific prior written permission.
+
+THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
+AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
+IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
+ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE
+LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
+CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
+SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
+INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
+CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
+ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
+POSSIBILITY OF SUCH DAMAGE.
+-----------------------------------------------------------------------------
+*/
+
+
+/* This module contains the external function pcre_version(), which returns a
+string that identifies the PCRE version that is in use. */
+
+
+#ifdef HAVE_CONFIG_H
+#include "config.h"
+#endif
+
+#include "pcre_internal.h"
+
+
+/*************************************************
+*          Return version string                 *
+*************************************************/
+
+/* These macros are the standard way of turning unquoted text into C strings.
+They allow macros like PCRE_MAJOR to be defined without quotes, which is
+convenient for user programs that want to test its value. */
+
+#define STRING(a)  # a
+#define XSTRING(s) STRING(s)
+
+/* A problem turned up with PCRE_PRERELEASE, which is defined empty for
+production releases. Originally, it was used naively in this code:
+
+  return XSTRING(PCRE_MAJOR)
+         "." XSTRING(PCRE_MINOR)
+             XSTRING(PCRE_PRERELEASE)
+         " " XSTRING(PCRE_DATE);
+
+However, when PCRE_PRERELEASE is empty, this leads to an attempted expansion of
+STRING(). The C standard states: "If (before argument substitution) any
+argument consists of no preprocessing tokens, the behavior is undefined." It
+turns out the gcc treats this case as a single empty string - which is what we
+really want - but Visual C grumbles about the lack of an argument for the
+macro. Unfortunately, both are within their rights. To cope with both ways of
+handling this, I had resort to some messy hackery that does a test at run time.
+I could find no way of detecting that a macro is defined as an empty string at
+pre-processor time. This hack uses a standard trick for avoiding calling
+the STRING macro with an empty argument when doing the test. */
+
+PCRE_EXP_DEFN const char * PCRE_CALL_CONVENTION
+pcre_version(void)
+{
+return (XSTRING(Z PCRE_PRERELEASE)[1] == 0)?
+  XSTRING(PCRE_MAJOR.PCRE_MINOR PCRE_DATE) :
+  XSTRING(PCRE_MAJOR.PCRE_MINOR) XSTRING(PCRE_PRERELEASE PCRE_DATE);
+}
+
+/* End of pcre_version.c */
diff -urN golded+cvs20090710-src/goldlib/pcre/pcre_xclass.c golded-nsf-v003/goldlib/pcre/pcre_xclass.c
--- golded+cvs20090710-src/goldlib/pcre/pcre_xclass.c	1970-01-01 03:00:00.000000000 +0300
+++ golded-nsf-v003/goldlib/pcre/pcre_xclass.c	2009-07-10 09:58:18.000000000 +0400
@@ -0,0 +1,146 @@
+/*************************************************
+*      Perl-Compatible Regular Expressions       *
+*************************************************/
+
+/* PCRE is a library of functions to support regular expressions whose syntax
+and semantics are as close as possible to those of the Perl 5 language.
+
+                       Written by Philip Hazel
+           Copyright (c) 1997-2009 University of Cambridge
+
+-----------------------------------------------------------------------------
+Redistribution and use in source and binary forms, with or without
+modification, are permitted provided that the following conditions are met:
+
+    * Redistributions of source code must retain the above copyright notice,
+      this list of conditions and the following disclaimer.
+
+    * Redistributions in binary form must reproduce the above copyright
+      notice, this list of conditions and the following disclaimer in the
+      documentation and/or other materials provided with the distribution.
+
+    * Neither the name of the University of Cambridge nor the names of its
+      contributors may be used to endorse or promote products derived from
+      this software without specific prior written permission.
+
+THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
+AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
+IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
+ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE
+LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
+CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
+SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
+INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
+CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
+ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
+POSSIBILITY OF SUCH DAMAGE.
+-----------------------------------------------------------------------------
+*/
+
+
+/* This module contains an internal function that is used to match an extended
+class. It is used by both pcre_exec() and pcre_def_exec(). */
+
+
+#ifdef HAVE_CONFIG_H
+#include "config.h"
+#endif
+
+#include "pcre_internal.h"
+
+
+/*************************************************
+*       Match character against an XCLASS        *
+*************************************************/
+
+/* This function is called to match a character against an extended class that
+might contain values > 255 and/or Unicode properties.
+
+Arguments:
+  c           the character
+  data        points to the flag byte of the XCLASS data
+
+Returns:      TRUE if character matches, else FALSE
+*/
+
+BOOL
+_pcre_xclass(int c, const uschar *data)
+{
+int t;
+BOOL negated = (*data & XCL_NOT) != 0;
+
+/* Character values < 256 are matched against a bitmap, if one is present. If
+not, we still carry on, because there may be ranges that start below 256 in the
+additional data. */
+
+if (c < 256)
+  {
+  if ((*data & XCL_MAP) != 0 && (data[1 + c/8] & (1 << (c&7))) != 0)
+    return !negated;   /* char found */
+  }
+
+/* First skip the bit map if present. Then match against the list of Unicode
+properties or large chars or ranges that end with a large char. We won't ever
+encounter XCL_PROP or XCL_NOTPROP when UCP support is not compiled. */
+
+if ((*data++ & XCL_MAP) != 0) data += 32;
+
+while ((t = *data++) != XCL_END)
+  {
+  int x, y;
+  if (t == XCL_SINGLE)
+    {
+    GETCHARINC(x, data);
+    if (c == x) return !negated;
+    }
+  else if (t == XCL_RANGE)
+    {
+    GETCHARINC(x, data);
+    GETCHARINC(y, data);
+    if (c >= x && c <= y) return !negated;
+    }
+
+#ifdef SUPPORT_UCP
+  else  /* XCL_PROP & XCL_NOTPROP */
+    {
+    const ucd_record *prop = GET_UCD(c);
+
+    switch(*data)
+      {
+      case PT_ANY:
+      if (t == XCL_PROP) return !negated;
+      break;
+
+      case PT_LAMP:
+      if ((prop->chartype == ucp_Lu || prop->chartype == ucp_Ll || prop->chartype == ucp_Lt) ==
+          (t == XCL_PROP)) return !negated;
+      break;
+
+      case PT_GC:
+      if ((data[1] == _pcre_ucp_gentype[prop->chartype]) == (t == XCL_PROP)) return !negated;
+      break;
+
+      case PT_PC:
+      if ((data[1] == prop->chartype) == (t == XCL_PROP)) return !negated;
+      break;
+
+      case PT_SC:
+      if ((data[1] == prop->script) == (t == XCL_PROP)) return !negated;
+      break;
+
+      /* This should never occur, but compilers may mutter if there is no
+      default. */
+
+      default:
+      return FALSE;
+      }
+
+    data += 2;
+    }
+#endif  /* SUPPORT_UCP */
+  }
+
+return negated;   /* char did not match */
+}
+
+/* End of pcre_xclass.c */
diff -urN golded+cvs20090710-src/goldlib/pcre/ucp.h golded-nsf-v003/goldlib/pcre/ucp.h
--- golded+cvs20090710-src/goldlib/pcre/ucp.h	1970-01-01 03:00:00.000000000 +0300
+++ golded-nsf-v003/goldlib/pcre/ucp.h	2009-07-10 09:58:18.000000000 +0400
@@ -0,0 +1,145 @@
+/*************************************************
+*          Unicode Property Table handler        *
+*************************************************/
+
+#ifndef _UCP_H
+#define _UCP_H
+
+/* This file contains definitions of the property values that are returned by
+the UCD access macros. New values that are added for new releases of Unicode
+should always be at the end of each enum, for backwards compatibility. */
+
+/* These are the general character categories. */
+
+enum {
+  ucp_C,     /* Other */
+  ucp_L,     /* Letter */
+  ucp_M,     /* Mark */
+  ucp_N,     /* Number */
+  ucp_P,     /* Punctuation */
+  ucp_S,     /* Symbol */
+  ucp_Z      /* Separator */
+};
+
+/* These are the particular character types. */
+
+enum {
+  ucp_Cc,    /* Control */
+  ucp_Cf,    /* Format */
+  ucp_Cn,    /* Unassigned */
+  ucp_Co,    /* Private use */
+  ucp_Cs,    /* Surrogate */
+  ucp_Ll,    /* Lower case letter */
+  ucp_Lm,    /* Modifier letter */
+  ucp_Lo,    /* Other letter */
+  ucp_Lt,    /* Title case letter */
+  ucp_Lu,    /* Upper case letter */
+  ucp_Mc,    /* Spacing mark */
+  ucp_Me,    /* Enclosing mark */
+  ucp_Mn,    /* Non-spacing mark */
+  ucp_Nd,    /* Decimal number */
+  ucp_Nl,    /* Letter number */
+  ucp_No,    /* Other number */
+  ucp_Pc,    /* Connector punctuation */
+  ucp_Pd,    /* Dash punctuation */
+  ucp_Pe,    /* Close punctuation */
+  ucp_Pf,    /* Final punctuation */
+  ucp_Pi,    /* Initial punctuation */
+  ucp_Po,    /* Other punctuation */
+  ucp_Ps,    /* Open punctuation */
+  ucp_Sc,    /* Currency symbol */
+  ucp_Sk,    /* Modifier symbol */
+  ucp_Sm,    /* Mathematical symbol */
+  ucp_So,    /* Other symbol */
+  ucp_Zl,    /* Line separator */
+  ucp_Zp,    /* Paragraph separator */
+  ucp_Zs     /* Space separator */
+};
+
+/* These are the script identifications. */
+
+enum {
+  ucp_Arabic,
+  ucp_Armenian,
+  ucp_Bengali,
+  ucp_Bopomofo,
+  ucp_Braille,
+  ucp_Buginese,
+  ucp_Buhid,
+  ucp_Canadian_Aboriginal,
+  ucp_Cherokee,
+  ucp_Common,
+  ucp_Coptic,
+  ucp_Cypriot,
+  ucp_Cyrillic,
+  ucp_Deseret,
+  ucp_Devanagari,
+  ucp_Ethiopic,
+  ucp_Georgian,
+  ucp_Glagolitic,
+  ucp_Gothic,
+  ucp_Greek,
+  ucp_Gujarati,
+  ucp_Gurmukhi,
+  ucp_Han,
+  ucp_Hangul,
+  ucp_Hanunoo,
+  ucp_Hebrew,
+  ucp_Hiragana,
+  ucp_Inherited,
+  ucp_Kannada,
+  ucp_Katakana,
+  ucp_Kharoshthi,
+  ucp_Khmer,
+  ucp_Lao,
+  ucp_Latin,
+  ucp_Limbu,
+  ucp_Linear_B,
+  ucp_Malayalam,
+  ucp_Mongolian,
+  ucp_Myanmar,
+  ucp_New_Tai_Lue,
+  ucp_Ogham,
+  ucp_Old_Italic,
+  ucp_Old_Persian,
+  ucp_Oriya,
+  ucp_Osmanya,
+  ucp_Runic,
+  ucp_Shavian,
+  ucp_Sinhala,
+  ucp_Syloti_Nagri,
+  ucp_Syriac,
+  ucp_Tagalog,
+  ucp_Tagbanwa,
+  ucp_Tai_Le,
+  ucp_Tamil,
+  ucp_Telugu,
+  ucp_Thaana,
+  ucp_Thai,
+  ucp_Tibetan,
+  ucp_Tifinagh,
+  ucp_Ugaritic,
+  ucp_Yi,
+  /* New for Unicode 5.0: */
+  ucp_Balinese,
+  ucp_Cuneiform,
+  ucp_Nko,
+  ucp_Phags_Pa,
+  ucp_Phoenician,
+  /* New for Unicode 5.1: */
+  ucp_Carian,
+  ucp_Cham,
+  ucp_Kayah_Li,
+  ucp_Lepcha,
+  ucp_Lycian,
+  ucp_Lydian,
+  ucp_Ol_Chiki,
+  ucp_Rejang,
+  ucp_Saurashtra,
+  ucp_Sundanese,
+  ucp_Vai
+};
+
+#endif
+
+/* End of ucp.h */
diff -urN golded+cvs20090710-src/goldlib/smblib/Makefile golded-nsf-v003/goldlib/smblib/Makefile
--- golded+cvs20090710-src/goldlib/smblib/Makefile	2005-10-11 22:25:31.000000000 +0400
+++ golded-nsf-v003/goldlib/smblib/Makefile	2009-07-10 09:58:18.000000000 +0400
@@ -3,7 +3,7 @@
 TOP=../..
 TARGET=smblib
 INCS=-I$(TOP)/goldlib/smblib -I$(TOP)/goldlib/gall
-CFLAGS=-x c++
+CFLAGS+=-x c++
 
 include $(TOP)/GNUmakef.inc
 include $(TOP)/GNUmakef.lib
diff -urN golded+cvs20090710-src/goldlib/uulib/Makefile golded-nsf-v003/goldlib/uulib/Makefile
--- golded+cvs20090710-src/goldlib/uulib/Makefile	2006-12-27 16:36:53.000000000 +0300
+++ golded-nsf-v003/goldlib/uulib/Makefile	2009-07-10 09:58:18.000000000 +0400
@@ -6,7 +6,7 @@
 TOP=../..
 TARGET=uulib
 INCS=-I$(TOP)/goldlib/uulib -I$(TOP)/goldlib/gall -I$(TOP)/goldlib/glibc
-CFLAGS=-DHAVE_CONFIG_H -DVERSION=\"$(VERSION)\" -DPATCH=\"$(PATCH)\"
+CFLAGS+=-DHAVE_CONFIG_H -DVERSION=\"$(VERSION)\" -DPATCH=\"$(PATCH)\"
 
 include $(TOP)/GNUmakef.inc
 include $(TOP)/GNUmakef.lib
diff -urN golded+cvs20090710-src/Makefile golded-nsf-v003/Makefile
--- golded+cvs20090710-src/Makefile	2006-05-14 05:19:58.000000000 +0400
+++ golded-nsf-v003/Makefile	2009-07-10 09:58:18.000000000 +0400
@@ -9,6 +9,9 @@
 ifneq ($(findstring GCFG_NO_MYSPELL, $(CPPFLAGS)), GCFG_NO_MYSPELL)
 LIBS+=hunspell
 endif
+ifneq ($(findstring GCFG_NO_PCRE, $(CPPFLAGS)), GCFG_NO_PCRE)
+LIBS+=pcre
+endif
 
 EXECUTABLES=golded3 goldnode rddt
 
diff -urN golded+cvs20090710-src/windows/golded.mak golded-nsf-v003/windows/golded.mak
--- golded+cvs20090710-src/windows/golded.mak	2006-09-24 20:55:57.000000000 +0400
+++ golded-nsf-v003/windows/golded.mak	2009-07-10 09:58:18.000000000 +0400
@@ -104,6 +104,7 @@
 	-@erase "$(INTDIR)\geutil.obj"
 	-@erase "$(INTDIR)\geutil2.obj"
 	-@erase "$(INTDIR)\geview.obj"
+	-@erase "$(INTDIR)\gfghi.obj"
 	-@erase "$(INTDIR)\gmarea.obj"
 	-@erase "$(INTDIR)\golded3.obj"
 	-@erase "$(INTDIR)\vc60.idb"
@@ -214,6 +215,7 @@
 	"$(INTDIR)\geutil.obj" \
 	"$(INTDIR)\geutil2.obj" \
 	"$(INTDIR)\geview.obj" \
+	"$(INTDIR)\gfghi.obj" \
 	"$(INTDIR)\gmarea.obj" \
 	"$(INTDIR)\golded3.obj" \
 	"$(INTDIR)\gedcyg.res" \
@@ -303,6 +305,7 @@
 	-@erase "$(INTDIR)\geutil.obj"
 	-@erase "$(INTDIR)\geutil2.obj"
 	-@erase "$(INTDIR)\geview.obj"
+	-@erase "$(INTDIR)\gfghi.obj"
 	-@erase "$(INTDIR)\gmarea.obj"
 	-@erase "$(INTDIR)\golded3.obj"
 	-@erase "$(INTDIR)\vc60.idb"
@@ -414,6 +417,7 @@
 	"$(INTDIR)\geutil.obj" \
 	"$(INTDIR)\geutil2.obj" \
 	"$(INTDIR)\geview.obj" \
+	"$(INTDIR)\gfghi.obj" \
 	"$(INTDIR)\gmarea.obj" \
 	"$(INTDIR)\golded3.obj" \
 	"$(INTDIR)\gedcyg.res" \
@@ -766,6 +770,11 @@
 "$(INTDIR)\geview.obj" : $(SOURCE) "$(INTDIR)"
 	$(CPP) $(CPP_PROJ) $(SOURCE)
 
+SOURCE=..\golded3\gfghi.cpp
+
+"$(INTDIR)\gfghi.obj" : $(SOURCE) "$(INTDIR)"
+       $(CPP) $(CPP_PROJ) $(SOURCE)
+
 
 SOURCE=..\golded3\gmarea.cpp
 
diff -urN golded+cvs20090710-src/windows/goldlib.mak golded-nsf-v003/windows/goldlib.mak
--- golded+cvs20090710-src/windows/goldlib.mak	2006-09-24 20:55:57.000000000 +0400
+++ golded-nsf-v003/windows/goldlib.mak	2009-07-10 10:00:46.000000000 +0400
@@ -211,6 +211,29 @@
 	-@erase "$(INTDIR)\gxxmail.obj"
 	-@erase "$(INTDIR)\hashmgr.obj"
 	-@erase "$(INTDIR)\hunspell.obj"
+        -@erase "$(INTDIR)\pcre_chartables.obj"
+        -@erase "$(INTDIR)\pcre_compile.obj"
+        -@erase "$(INTDIR)\pcre_config.obj"
+        -@erase "$(INTDIR)\pcre_dfa_exec.obj"
+        -@erase "$(INTDIR)\pcre_exec.obj"
+        -@erase "$(INTDIR)\pcre_fullinfo.obj"
+        -@erase "$(INTDIR)\pcre_get.obj"
+        -@erase "$(INTDIR)\pcre_globals.obj"
+        -@erase "$(INTDIR)\pcre_info.obj"
+        -@erase "$(INTDIR)\pcre_maketables.obj"
+        -@erase "$(INTDIR)\pcre_newline.obj"
+        -@erase "$(INTDIR)\pcre_ord2utf8.obj"
+        -@erase "$(INTDIR)\pcre_refcount.obj"
+        -@erase "$(INTDIR)\pcre_stringpiece.obj"
+        -@erase "$(INTDIR)\pcre_stringpiece.obj"
+        -@erase "$(INTDIR)\pcre_study.obj"
+        -@erase "$(INTDIR)\pcre_tables.obj"
+        -@erase "$(INTDIR)\pcre_try_flipped.obj"
+        -@erase "$(INTDIR)\pcre_ucd.obj"
+        -@erase "$(INTDIR)\pcre_valid_utf8.obj"
+        -@erase "$(INTDIR)\pcre_version.obj"
+        -@erase "$(INTDIR)\pcre_xclass.obj"
+        -@erase "$(INTDIR)\pcrecpp.obj"
 	-@erase "$(INTDIR)\lzh.obj"
 	-@erase "$(INTDIR)\regex.obj"
 	-@erase "$(INTDIR)\smblib.obj"
@@ -233,7 +256,7 @@
     if not exist "$(INTDIR)/$(NULL)" mkdir "$(INTDIR)"
 
 CPP=cl.exe
-CPP_PROJ=/nologo /MD /W3 /Gm /GX /Zi /O1 /I "..\goldlib\gall" /I "..\goldlib\gcfg" /I "..\goldlib\glibc" /I "..\goldlib\gmb3" /I "..\goldlib\smblib" /I "..\goldlib\uulib" /I "..\goldlib\hunspell" /D "WIN32" /D "NDEBUG" /D "_LIB" /D "HAVE_CONFIG_H" /D "__INCLUDE_NEW_KEYWORDS__" /Fo"$(INTDIR)\\" /Fd"$(INTDIR)\\" /J /FD /c 
+CPP_PROJ=/nologo /MD /W3 /Gm /GX /Zi /O1 /I "..\goldlib\gall" /I "..\goldlib\gcfg" /I "..\goldlib\glibc" /I "..\goldlib\gmb3" /I "..\goldlib\smblib" /I "..\goldlib\uulib" /I "..\goldlib\hunspell" /I "..\goldlib\pcre" /D "WIN32" /D "NDEBUG" /D "_LIB" /D "HAVE_CONFIG_H" /D "__INCLUDE_NEW_KEYWORDS__" /Fo"$(INTDIR)\\" /Fd"$(INTDIR)\\" /J /FD /c 
 
 .c{$(INTDIR)}.obj::
    $(CPP) @<<
@@ -457,6 +480,29 @@
 	"$(INTDIR)\dictmgr.obj" \
 	"$(INTDIR)\hashmgr.obj" \
 	"$(INTDIR)\hunspell.obj" \
+        "$(INTDIR)\pcre_chartables.obj" \
+        "$(INTDIR)\pcre_compile.obj" \
+        "$(INTDIR)\pcre_config.obj" \
+        "$(INTDIR)\pcre_dfa_exec.obj" \
+        "$(INTDIR)\pcre_exec.obj" \
+        "$(INTDIR)\pcre_fullinfo.obj" \
+        "$(INTDIR)\pcre_get.obj" \
+        "$(INTDIR)\pcre_globals.obj" \
+        "$(INTDIR)\pcre_info.obj" \
+        "$(INTDIR)\pcre_maketables.obj" \
+        "$(INTDIR)\pcre_newline.obj" \
+        "$(INTDIR)\pcre_ord2utf8.obj" \
+        "$(INTDIR)\pcre_refcount.obj" \
+        "$(INTDIR)\pcre_stringpiece.obj" \
+        "$(INTDIR)\pcre_stringpiece.obj" \
+        "$(INTDIR)\pcre_study.obj" \
+        "$(INTDIR)\pcre_tables.obj" \
+        "$(INTDIR)\pcre_try_flipped.obj" \
+        "$(INTDIR)\pcre_ucd.obj" \
+        "$(INTDIR)\pcre_valid_utf8.obj" \
+        "$(INTDIR)\pcre_version.obj" \
+        "$(INTDIR)\pcre_xclass.obj" \
+        "$(INTDIR)\pcrecpp.obj" \
 	"$(INTDIR)\suggmgr.obj"
 
 "$(OUTDIR)\goldlib.lib" : "$(OUTDIR)" $(DEF_FILE) $(LIB32_OBJS)
@@ -650,6 +696,29 @@
 	-@erase "$(INTDIR)\gxxmail.obj"
 	-@erase "$(INTDIR)\hashmgr.obj"
 	-@erase "$(INTDIR)\hunspell.obj"
+        -@erase "$(INTDIR)\pcre_chartables.obj"
+        -@erase "$(INTDIR)\pcre_compile.obj"
+        -@erase "$(INTDIR)\pcre_config.obj"
+        -@erase "$(INTDIR)\pcre_dfa_exec.obj"
+        -@erase "$(INTDIR)\pcre_exec.obj"
+        -@erase "$(INTDIR)\pcre_fullinfo.obj"
+        -@erase "$(INTDIR)\pcre_get.obj"
+        -@erase "$(INTDIR)\pcre_globals.obj"
+        -@erase "$(INTDIR)\pcre_info.obj"
+        -@erase "$(INTDIR)\pcre_maketables.obj"
+        -@erase "$(INTDIR)\pcre_newline.obj"
+        -@erase "$(INTDIR)\pcre_ord2utf8.obj"
+        -@erase "$(INTDIR)\pcre_refcount.obj"
+        -@erase "$(INTDIR)\pcre_stringpiece.obj"
+        -@erase "$(INTDIR)\pcre_stringpiece.obj"
+        -@erase "$(INTDIR)\pcre_study.obj"
+        -@erase "$(INTDIR)\pcre_tables.obj"
+        -@erase "$(INTDIR)\pcre_try_flipped.obj"
+        -@erase "$(INTDIR)\pcre_ucd.obj"
+        -@erase "$(INTDIR)\pcre_valid_utf8.obj"
+        -@erase "$(INTDIR)\pcre_version.obj"
+        -@erase "$(INTDIR)\pcre_xclass.obj"
+        -@erase "$(INTDIR)\pcrecpp.obj"
 	-@erase "$(INTDIR)\lzh.obj"
 	-@erase "$(INTDIR)\regex.obj"
 	-@erase "$(INTDIR)\smblib.obj"
@@ -672,7 +741,7 @@
     if not exist "$(INTDIR)/$(NULL)" mkdir "$(INTDIR)"
 
 CPP=cl.exe
-CPP_PROJ=/nologo /MDd /W3 /Gm /Gi /GX /ZI /Od /I "..\goldlib\gall" /I "..\goldlib\gcfg" /I "..\goldlib\glibc" /I "..\goldlib\gmb3" /I "..\goldlib\smblib" /I "..\goldlib\uulib" /I "..\goldlib\hunspell" /D "WIN32" /D "_DEBUG" /D "_LIB" /D "HAVE_CONFIG_H" /D "__INCLUDE_NEW_KEYWORDS__" /Fo"$(INTDIR)\\" /Fd"$(INTDIR)\\" /J /FD /GZ /c 
+CPP_PROJ=/nologo /MDd /W3 /Gm /Gi /GX /ZI /Od /I "..\goldlib\gall" /I "..\goldlib\gcfg" /I "..\goldlib\glibc" /I "..\goldlib\gmb3" /I "..\goldlib\smblib" /I "..\goldlib\uulib" /I "..\goldlib\hunspell" /I "..\goldlib\pcre" /D "WIN32" /D "_DEBUG" /D "_LIB" /D "HAVE_CONFIG_H" /D "__INCLUDE_NEW_KEYWORDS__" /Fo"$(INTDIR)\\" /Fd"$(INTDIR)\\" /J /FD /GZ /c 
 
 .c{$(INTDIR)}.obj::
    $(CPP) @<<
@@ -896,6 +965,29 @@
 	"$(INTDIR)\dictmgr.obj" \
 	"$(INTDIR)\hashmgr.obj" \
 	"$(INTDIR)\hunspell.obj" \
+        "$(INTDIR)\pcre_chartables.obj" \
+        "$(INTDIR)\pcre_compile.obj" \
+        "$(INTDIR)\pcre_config.obj" \
+        "$(INTDIR)\pcre_dfa_exec.obj" \
+        "$(INTDIR)\pcre_exec.obj" \
+        "$(INTDIR)\pcre_fullinfo.obj" \
+        "$(INTDIR)\pcre_get.obj" \
+        "$(INTDIR)\pcre_globals.obj" \
+        "$(INTDIR)\pcre_info.obj" \
+        "$(INTDIR)\pcre_maketables.obj" \
+        "$(INTDIR)\pcre_newline.obj" \
+        "$(INTDIR)\pcre_ord2utf8.obj" \
+        "$(INTDIR)\pcre_refcount.obj" \
+        "$(INTDIR)\pcre_stringpiece.obj" \
+        "$(INTDIR)\pcre_stringpiece.obj" \
+        "$(INTDIR)\pcre_study.obj" \
+        "$(INTDIR)\pcre_tables.obj" \
+        "$(INTDIR)\pcre_try_flipped.obj" \
+        "$(INTDIR)\pcre_ucd.obj" \
+        "$(INTDIR)\pcre_valid_utf8.obj" \
+        "$(INTDIR)\pcre_version.obj" \
+        "$(INTDIR)\pcre_xclass.obj" \
+        "$(INTDIR)\pcrecpp.obj" \
 	"$(INTDIR)\suggmgr.obj"
 
 "$(OUTDIR)\goldlib.lib" : "$(OUTDIR)" $(DEF_FILE) $(LIB32_OBJS)
@@ -2041,6 +2133,94 @@
 "$(INTDIR)\suggmgr.obj" : $(SOURCE) "$(INTDIR)"
 	$(CPP) $(CPP_PROJ) $(SOURCE)
 
+SOURCE=..\goldlib\pcre\pcre_chartables.c
+
+"$(INTDIR)\pcre_chartables.obj" : $(SOURCE) "$(INTDIR)"
+        $(CPP) $(CPP_PROJ) $(SOURCE)
+SOURCE=..\goldlib\pcre\pcre_compile.c
+
+"$(INTDIR)\pcre_compile.obj" : $(SOURCE) "$(INTDIR)"
+        $(CPP) $(CPP_PROJ) $(SOURCE)
+SOURCE=..\goldlib\pcre\pcre_config.c
+
+"$(INTDIR)\pcre_config.obj" : $(SOURCE) "$(INTDIR)"
+        $(CPP) $(CPP_PROJ) $(SOURCE)
+SOURCE=..\goldlib\pcre\pcre_dfa_exec.c
+
+"$(INTDIR)\pcre_dfa_exec.obj" : $(SOURCE) "$(INTDIR)"
+        $(CPP) $(CPP_PROJ) $(SOURCE)
+SOURCE=..\goldlib\pcre\pcre_exec.c
+
+"$(INTDIR)\pcre_exec.obj" : $(SOURCE) "$(INTDIR)"
+        $(CPP) $(CPP_PROJ) $(SOURCE)
+SOURCE=..\goldlib\pcre\pcre_fullinfo.c
+
+"$(INTDIR)\pcre_fullinfo.obj" : $(SOURCE) "$(INTDIR)"
+        $(CPP) $(CPP_PROJ) $(SOURCE)
+SOURCE=..\goldlib\pcre\pcre_get.c
+
+"$(INTDIR)\pcre_get.obj" : $(SOURCE) "$(INTDIR)"
+        $(CPP) $(CPP_PROJ) $(SOURCE)
+SOURCE=..\goldlib\pcre\pcre_globals.c
+
+"$(INTDIR)\pcre_globals.obj" : $(SOURCE) "$(INTDIR)"
+        $(CPP) $(CPP_PROJ) $(SOURCE)
+SOURCE=..\goldlib\pcre\pcre_info.c
+
+"$(INTDIR)\pcre_info.obj" : $(SOURCE) "$(INTDIR)"
+        $(CPP) $(CPP_PROJ) $(SOURCE)
+SOURCE=..\goldlib\pcre\pcre_maketables.c
+
+"$(INTDIR)\pcre_maketables.obj" : $(SOURCE) "$(INTDIR)"
+        $(CPP) $(CPP_PROJ) $(SOURCE)
+SOURCE=..\goldlib\pcre\pcre_newline.c
+
+"$(INTDIR)\pcre_newline.obj" : $(SOURCE) "$(INTDIR)"
+        $(CPP) $(CPP_PROJ) $(SOURCE)
+SOURCE=..\goldlib\pcre\pcre_ord2utf8.c
+
+"$(INTDIR)\pcre_ord2utf8.obj" : $(SOURCE) "$(INTDIR)"
+        $(CPP) $(CPP_PROJ) $(SOURCE)
+SOURCE=..\goldlib\pcre\pcre_refcount.c
+
+"$(INTDIR)\pcre_refcount.obj" : $(SOURCE) "$(INTDIR)"
+        $(CPP) $(CPP_PROJ) $(SOURCE)
+SOURCE=..\goldlib\pcre\pcre_stringpiece.cpp
+
+"$(INTDIR)\pcre_stringpiece.obj" : $(SOURCE) "$(INTDIR)"
+        $(CPP) $(CPP_PROJ) $(SOURCE)
+SOURCE=..\goldlib\pcre\pcre_study.c
+
+"$(INTDIR)\pcre_study.obj" : $(SOURCE) "$(INTDIR)"
+        $(CPP) $(CPP_PROJ) $(SOURCE)
+SOURCE=..\goldlib\pcre\pcre_tables.c
+
+"$(INTDIR)\pcre_tables.obj" : $(SOURCE) "$(INTDIR)"
+        $(CPP) $(CPP_PROJ) $(SOURCE)
+SOURCE=..\goldlib\pcre\pcre_try_flipped.c
+
+"$(INTDIR)\pcre_try_flipped.obj" : $(SOURCE) "$(INTDIR)"
+        $(CPP) $(CPP_PROJ) $(SOURCE)
+SOURCE=..\goldlib\pcre\pcre_ucd.c
+
+"$(INTDIR)\pcre_ucd.obj" : $(SOURCE) "$(INTDIR)"
+        $(CPP) $(CPP_PROJ) $(SOURCE)
+SOURCE=..\goldlib\pcre\pcre_valid_utf8.c
+
+"$(INTDIR)\pcre_valid_utf8.obj" : $(SOURCE) "$(INTDIR)"
+        $(CPP) $(CPP_PROJ) $(SOURCE)
+SOURCE=..\goldlib\pcre\pcre_version.c
+
+"$(INTDIR)\pcre_version.obj" : $(SOURCE) "$(INTDIR)"
+        $(CPP) $(CPP_PROJ) $(SOURCE)
+SOURCE=..\goldlib\pcre\pcre_xclass.c
+
+"$(INTDIR)\pcre_xclass.obj" : $(SOURCE) "$(INTDIR)"
+        $(CPP) $(CPP_PROJ) $(SOURCE)
+SOURCE=..\goldlib\pcre\pcrecpp.cpp
+
+"$(INTDIR)\pcrecpp.obj" : $(SOURCE) "$(INTDIR)"
+        $(CPP) $(CPP_PROJ) $(SOURCE)
 
 SOURCE=..\goldlib\hunspell\utf_info.cxx
 
